package com.yuchen.saas.integration.hik.isc.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.nest.springwrap.core.tenant.mp.TenantEntity;

/**
 * <p>
 * 监控区域设备绑定表
 * </p>
 *
 * @author linyb
 * @since 2024-08-28
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("pmg_bat_camera_area_binding")
@ApiModel(value="PmgBatCameraAreaBinding对象", description="监控区域设备绑定表")
public class PmgBatCameraAreaBinding extends TenantEntity {

    /**
     * 监控区域id
     */
    @ApiModelProperty(name = "cameraAreaId", value = "监控区域id")
    private Long cameraAreaId;
    /**
     * 监控设备id
     */
    @ApiModelProperty(name = "cameraId", value = "监控设备id")
    private Long cameraId;
    /**
     * 住户是否可见（0：否 1：是）
     */
    @ApiModelProperty(name = "residentVisibleEnable", value = "住户是否可见（0：否 1：是）")
    private Integer residentVisibleEnable;
    /**
     * 项目id
     */
    @ApiModelProperty(name = "parkId", value = "项目id")
    private Long parkId;
    /**
     * 客户id
     */
    @ApiModelProperty(name = "customerId", value = "客户id")
    private Long customerId;

    public Long getCameraAreaId() {
        return cameraAreaId;
    }

    public void setCameraAreaId(Long cameraAreaId) {
        this.cameraAreaId = cameraAreaId;
    }

    public Long getCameraId() {
        return cameraId;
    }

    public void setCameraId(Long cameraId) {
        this.cameraId = cameraId;
    }

    public Integer getResidentVisibleEnable() {
        return residentVisibleEnable;
    }

    public void setResidentVisibleEnable(Integer residentVisibleEnable) {
        this.residentVisibleEnable = residentVisibleEnable;
    }

    public Long getParkId() {
        return parkId;
    }

    public void setParkId(Long parkId) {
        this.parkId = parkId;
    }

    public Long getCustomerId() {
        return customerId;
    }

    public void setCustomerId(Long customerId) {
        this.customerId = customerId;
    }
}
